Bug 1262065 - [RFE] Collect IOPS data to generate alerts for users [NEEDINFO]
[RFE] Collect IOPS data to generate alerts for users
Status: CLOSED NOTABUG
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-ceilometer (Show other bugs)
10.0 (Newton)
Unspecified Unspecified
medium Severity low
: ---
: 10.0 (Newton)
Assigned To: Eoghan Glynn
Yurii Prokulevych
: FutureFeature
Depends On:
Blocks: 1392311
  Show dependency treegraph
 
Reported: 2015-09-10 14:35 EDT by Neil Levine
Modified: 2016-11-07 02:36 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-22 09:10:53 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
augol: needinfo? (eglynn)


Attachments (Terms of Use)

  None (edit)
Description Neil Levine 2015-09-10 14:35:32 EDT
If a tenant starts goes above a certain threshold of IOPS, flag this up to the admin within a short period of time so they can take action.
Comment 5 Amit Ugol 2016-05-02 04:41:50 EDT
Release version is 9 ?
Comment 8 Julien Danjou 2016-05-17 09:21:39 EDT
Re-reading the question and my comment, I actually think this is possible with this:

$ aodh alarm create --type gnocchi_aggregation_by_resources_threshold --name iops-test-1 --metric disk.read.requests.rate --threshold 42000 --aggregation-method sum --resource-type instance --query '{"=": {"project_id": "cdf80e24-0644-4869-aab2-189d444ea906"}}'
+---------------------------+---------------------------------------------------------------+
| Field                     | Value                                                         |
+---------------------------+---------------------------------------------------------------+
| aggregation_method        | sum                                                           |
| alarm_actions             | []                                                            |
| alarm_id                  | 687f44e3-8db7-4181-8f51-80267ca6492c                          |
| comparison_operator       | eq                                                            |
| description               | gnocchi_aggregation_by_resources_threshold alarm rule         |
| enabled                   | True                                                          |
| evaluation_periods        | 1                                                             |
| granularity               | 60                                                            |
| insufficient_data_actions | []                                                            |
| metric                    | disk.read.requests.rate                                       |
| name                      | iops-test-1                                                   |
| ok_actions                | []                                                            |
| project_id                | admin                                                         |
| query                     | {"=": {"project_id": "cdf80e24-0644-4869-aab2-189d444ea906"}} |
| repeat_actions            | False                                                         |
| resource_type             | instance                                                      |
| severity                  | low                                                           |
| state                     | insufficient data                                             |
| state_timestamp           | 2016-05-17T13:07:47.691720                                    |
| threshold                 | 42000.0                                                       |
| time_constraints          | []                                                            |
| timestamp                 | 2016-05-17T13:07:47.691720                                    |
| type                      | gnocchi_aggregation_by_resources_threshold                    |
| user_id                   | admin                                                         |
+---------------------------+---------------------------------------------------------------+


This will create a new alarm that will analyse the sum() of all read requests for all instance of a particular tenant (the query can be restrained even more with the --query parameter). That should cover the initial request.
Comment 9 Julien Danjou 2016-07-22 09:10:53 EDT
Since I did not get any update on this bug for a while and the features should be already there, I'm closing it. Feel free to reopen or get in touch if you need more info!

Note You need to log in before you can comment on or make changes to this bug.